Bug 182137 - NFS lockd recovery is broken in U3 due to missing code.
NFS lockd recovery is broken in U3 due to missing code.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
: 139101 171324 (view as bug list)
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-20 13:41 EST by Steve Dickson
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:22:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Prpposed patch (1.30 KB, patch)
2006-02-20 13:43 EST, Steve Dickson
no flags Details | Diff
Repost of proposed patch (873 bytes, patch)
2006-02-20 14:51 EST, Steve Dickson
no flags Details | Diff

  None (edit)
Description Steve Dickson 2006-02-20 13:41:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.7.12-1.3.1

Description of problem:
Hi,

NFS lock reclaiming is not working on Redhat4 Update3. I restarted statd on NFS server and tried to capture lockd debugging messages on NFS client. I observe that callback on client is failing. Can you please let me know what it means?

Debugging messages of lockd(/var/log/messages)

Feb 10 09:47:44 sgmlx2 kernel: device eth0 entered promiscuous mode
Feb 10 09:47:48 sgmlx2 kernel: lockd: nlm_lookup_host(0f46bfac, p=6, v=4)
Feb 10 09:47:48 sgmlx2 kernel: lockd: host garbage collection
Feb 10 09:47:48 sgmlx2 kernel: lockd: nlmsvc_mark_resources
Feb 10 09:47:48 sgmlx2 kernel: lockd: delete host 15.70.191.172
Feb 10 09:47:48 sgmlx2 kernel: lockd: nsm_unmonitor(15.70.191.172)
Feb 10 09:47:48 sgmlx2 kernel: lockd: creating host entry
Feb 10 09:47:48 sgmlx2 kernel: lockd: nlm_bind_host(0f46bfac)
Feb 10 09:47:48 sgmlx2 kernel: lockd: get host 15.70.191.172
Feb 10 09:47:48 sgmlx2 kernel: lockd: nsm_monitor(15.70.191.172)
Feb 10 09:47:48 sgmlx2 kernel: nsm: xdr_decode_stat_res status 0 state 129
Feb 10 09:47:48 sgmlx2 kernel: lockd: nlm_bind_host(0f46bfac)
Feb 10 09:47:48 sgmlx2 kernel: lockd: release host 15.70.191.172
Feb 10 09:48:01 sgmlx2 kernel: lockd: request from 7f000001
Feb 10 09:48:01 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:01 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:01 sgmlx2 rpc.statd[2292]: recv_rply: [127.0.0.1] RPC status 1
Feb 10 09:48:07 sgmlx2 kernel: lockd: request from 7f000001
Feb 10 09:48:07 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:07 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:07 sgmlx2 rpc.statd[2292]: recv_rply: [127.0.0.1] RPC status 1
Feb 10 09:48:13 sgmlx2 kernel: lockd: request from 7f000001
Feb 10 09:48:13 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:13 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:13 sgmlx2 rpc.statd[2292]: recv_rply: [127.0.0.1] RPC status 1
Feb 10 09:48:19 sgmlx2 kernel: lockd: request from 7f000001
Feb 10 09:48:19 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:19 sgmlx2 kernel: nlmsvc_retry_blocked(00000000, when=0)
Feb 10 09:48:19 sgmlx2 rpc.statd[2292]: recv_rply: [127.0.0.1] RPC status 1
Feb 10 09:48:25 sgmlx2 rpc.statd[2292]: Can't callback 127.0.0.1 (100021,4), giving up.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have client create a file lock on an NFS mounted fs.
2. restart the rpc.statd on the server (i.e. service nfslock restart)

  

Actual Results:  The client does not send a another LOCK request 
reclaiming its lock

Expected Results:  The client should resend a LOCK request 
to reclaim its lock.

Additional info:
Comment 1 Steve Dickson 2006-02-20 13:43:58 EST
Created attachment 124896 [details]
Prpposed patch

The attached patch is needed to fix this problem
Comment 2 Steve Dickson 2006-02-20 14:51:05 EST
Created attachment 124900 [details]
Repost of proposed patch 

Removed some "Hello world" debugging
Comment 25 Jason Baron 2006-03-17 13:36:40 EST
this bug should be in the modified state afaict...changing.
Comment 27 Bob Johnson 2006-04-11 13:05:44 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 31 Steve Dickson 2006-04-13 09:38:01 EDT
*** Bug 171324 has been marked as a duplicate of this bug. ***
Comment 32 Steve Dickson 2006-04-13 09:38:57 EDT
*** Bug 139101 has been marked as a duplicate of this bug. ***
Comment 46 Red Hat Bugzilla 2006-08-10 18:22:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.